LB700 - Bug #876

oooooooIPOOOD
03/07/2025 11:15 AM - [0

Status: Closed Start date: 03/07/2025
Priority: High Due date:
Assignee: Linx % Done: 0%
Category: Driver Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
00: LB700 gooo: Linux Hi3403 4.19.90 #5 SMP Wed Feb
12 14:45:29 CST 2025 aarch64 aarch64
aarch64 GNU/Linux
CPU: hisi3403 APPI [ :
on: LBA3403[00 0000:
go/oooooon: gooo: FD7352S
goooooo: 01 goooo:
gooo: \192.168.1.250\03-image\hisi3403\imag |EMMCI : -
eOS\ubuntu\ss928\ubuntu_V1.3-support-
U1-20250304
00: Ubuntu
Description
000000

root@13403:~# busybox i1fconfig

etho Link encap: thernet HwWaddr
inet addr:192 1.245 Bcast
1net6 addr: fe80:

RX packets:40 e
TX packets:36 e
collisions:0 txqueuelen:1000
RX bytes:7433 (7.2 KiB)
Interrupt:36

000000

root@ 13403 :~# busybox 1fconfig

etho Link encap:Ethernet HWaddr 6
inet addr
inet6 addr:

D::d83e: ab:e :
UP BROADCAST RUNNING MHLTIIAQT MTU: 1500

RX packets:551 error
TX packets:64 e
collisions:0 ueuelen 1000
RX bytes:119223 (116.4 KiB)
Interrupt:36

r1de9:7cdf:435:c
UP BROADCAST RUNNING MULTICAST MTU:1500
s:0 dropped:0 overruns:@ frame:@

:0 dropped:0 overruns:0 carrier:0

Mask:255.255.255.0

3/64 Scope:Link

TX bytes:4371 (4.2

Metric:1

Mask:255.255.255.0
cope:Link
Metric:1
5:0 dropped:0 overruns:0 frame:0
:0 dropped:© overruns:0 carrier:0

TX bytes:8870 (8.6 KiB)

History

#1 - 03/12/2025 03:42 PM - sun

- Assignee changed from sun to Linx

ubuntu:
casel:
gmac_v200 10290000.ethernet: invalid resource

gmac_v200 10290000.ethernet (unnamed net_device) (uninitialized): using random MAC address e2:8b:a4:7¢:76:9¢e
clarify anchor gmac_set_mac_addr:2229: using random MAC address e2:8b:a4:7c:76:9e
root@Hi3403:~# busybox ifconfig -a

eth0  Link encap:Ethernet HWaddr 6A:C7:9B:AD:88:BF

inet addr:192.168.0.105 Bcast:192.168.0.255 Mask:255.255.255.0
inet6 addr: f€80::0239:3058:d3cd:f874/64 Scope:Link

UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1

RX packets:156 errors:0 dropped:0 overruns:0 frame:0

TX packets:41 errors:0 dropped:0 overruns:0 carrier:0

collisions:0 txqueuelen:1000

RX bytes:41573 (40.5 KiB) TX bytes:4872 (4.7 KiB)

Interrupt:36

case2:

gmac_v200 10290000.ethernet: invalid resource

gmac_v200 10290000.ethernet (unnamed net_device) (uninitialized): using random MAC address d2:ec:ca:88:f8:33
clarify anchor gmac_set_mac_addr:2229: using random MAC address d2:ec:ca:88:{8:33

root@Hi3403:~# busybox ifconfig -a

eth0  Link encap:Ethernet HWaddr 6A:C7:9B:AD:88:BF
BROADCAST MULTICAST MTU:1500 Metric:1

RX packets:0 errors:0 dropped:0 overruns:0 frame:0

TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000

RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

Interrupt:36

buildroot:

casel:

gmac_v200 10290000.ethernet: invalid resource

gmac_v200 10290000.ethernet (unnamed net_device) (uninitialized): using random MAC address a6:90:47:f9:39:66
clarify anchor gmac_set_mac_addr:2229: using random MAC address a6:90:47:f9:39:66

root@HIS13403:/# ifconfig

eth0  Link encap:Ethernet HWaddr A6:90:47:F9:39:66

inet addr:192.168.0.125 Bcast:192.168.0.255 Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1

RX packets:130 errors:0 dropped:0 overruns:0 frame:0

TX packets:33 errors:0 dropped:0 overruns:0 carrier:0

collisions:0 txqueuelen:1000

RX bytes:21758 (21.2 KiB) TX bytes:3066 (2.9 KiB)

Interrupt:36

case2:

gmac_v200 10290000.ethernet: invalid resource

gmac_v200 10290000.ethernet (unnamed net_device) (uninitialized): using random MAC address e6:6¢:05:d8:ce:1b
clarify anchor gmac_set_mac_addr:2229: using random MAC address e6:6¢:05:d8:ce:1b

root@HISI3403:/# ifconfig

eth0  Link encap:Ethernet HWaddr E6:6C:05:D8:CE:1B

inet addr:192.168.0.126 Bcast:192.168.0.255 Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1

RX packets:81 errors:0 dropped:0 overruns:0 frame:0

TX packets:36 errors:0 dropped:0 overruns:0 carrier:0

collisions:0 txqueuelen:1000

RX bytes:19038 (18.5 KiB) TX bytes:3336 (3.2 KiB)

Interrupt:36

1.000ubuntu000000000000kernell000random mac
2.0buildrootl00 etho D00mac id000000ubuntu etho D00macll000kernel D0mac id0000

#2 - 04/15/2025 11:22 AM - sun

1.
/usr/lib/systemd/network/99-default.link

- MACAddressPolicy=persistent
+ MACAddressPolicy=random

#3 - 04/17/2025 02:30 PM -0 0

- Status changed from New to Closed
